/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2016-12-12 16:39:32Z
 *****************************************************************************/

#ifndef __RSEMI_ATTRIBUTES_HEADER
#define __RSEMI_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsemi_DeltaMarkerReferenceMarker_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsemi_quotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsemi_ReadOnlyCollection_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsemi_GapLimit_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsemi_quotedInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsemi_stringToBin_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsemi_empty_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsemi_quotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsemi_InstrumentCreate_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsemi_DeltaMarkerReferenceMarker_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsemi_GapLimit_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsemi_FileStateSpecialFormat_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsemi_quotedInt_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsemi_HcopyColorDef_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsemi_stringToBin_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsemi_empty_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsemi_rngInputImpedance;
extern RsRangeTable rsemi_rngTraceDetectorSelection;
extern RsRangeTable rsemi_rngNumberOfSweeps;
extern RsRangeTable rsemi_rngFrequencyMode;
extern RsRangeTable rsemi_rngPowerUnit;
extern RsRangeTable rsemi_rngAmplitudeScalingType;
extern RsRangeTable rsemi_rngRFInput;
extern RsRangeTable rsemi_rngRFInputCoupling;
extern RsRangeTable rsemi_rngResolutionBandwidth;
extern RsRangeTable rsemi_rngResolutionBandwidthFilterType;
extern RsRangeTable rsemi_rngFrequencyScanStepMode;
extern RsRangeTable rsemi_rngFrequencyScanRangeCount;
extern RsRangeTable rsemi_rngFrequencyScanAxisScale;
extern RsRangeTable rsemi_rngFrequencyScanMeasurementTime;
extern RsRangeTable rsemi_rngScanTableBandwidth;
extern RsRangeTable rsemi_rngScanTableRangeSignalSource;
extern RsRangeTable rsemi_rngRFAttenuationLevel;
extern RsRangeTable rsemi_rngPrescanningLISNVNetworkPhase;
extern RsRangeTable rsemi_rngPrescanningLISNVNetworkType;
extern RsRangeTable rsemi_rngMarkerTrace;
extern RsRangeTable rsemi_rngReferenceDeltaMarkerTrace;
extern RsRangeTable rsemi_rngReferenceDeltaMarkerMode;
extern RsRangeTable rsemi_rngBargraphMeasurementTime;
extern RsRangeTable rsemi_rngBargraphTraceMode;
extern RsRangeTable rsemi_rngLimitLineDomain;
extern RsRangeTable rsemi_rngLimitAssignTrace;
extern RsRangeTable rsemi_rngLimitCopy;
extern RsRangeTable rsemi_rngLimitUnit;
extern RsRangeTable rsemi_rngLimitUnitReceiver;
extern RsRangeTable rsemi_rngLimitLineScaling;
extern RsRangeTable rsemi_rngLimitLineSpacing;
extern RsRangeTable rsemi_rngAnalogDemodulationState;
extern RsRangeTable rsemi_rngAnalogDemodulationSquelchLevel;
extern RsRangeTable rsemi_rngPeakSearchListMethod;
extern RsRangeTable rsemi_rngPeakSearchListValue;
extern RsRangeTable rsemi_rngPeakListDisplay;
extern RsRangeTable rsemi_rngPersisTraceSymb;
extern RsRangeTable rsemi_rngSpecColorUpper;
extern RsRangeTable rsemi_rngPersisColorUpper;
extern RsRangeTable rsemi_rngSpecShape;
extern RsRangeTable rsemi_rngSpecColorStyle;
extern RsRangeTable rsemi_rngSpecColorLower;
extern RsRangeTable rsemi_rngPersisDuration;
extern RsRangeTable rsemi_rngPersisSpecShape;
extern RsRangeTable rsemi_rngPersisColorStyle;
extern RsRangeTable rsemi_rngPersisColorLower;
extern RsRangeTable rsemi_rngDISPSizeWindow;
extern RsRangeTable rsemi_rngSpemColor;
extern RsRangeTable rsemi_rngSpemHistoryBuffDepth;
extern RsRangeTable rsemi_rngSpemSearchArea;
extern RsRangeTable rsemi_rngMaxholdTrace;
extern RsRangeTable rsemi_rngMarkerPosition;
extern RsRangeTable rsemi_rngSpecMaskCondition;
extern RsRangeTable rsemi_rngMaskMode;
extern RsRangeTable rsemi_rngFFTWinType;
extern RsRangeTable rsemi_rngContinuousTrigger;
extern RsRangeTable rsemi_rngSpectrogramFrequencyCenterLink;
extern RsRangeTable rsemi_rngSpectrogramFrequencyCenterLinkFactor;
extern RsRangeTable rsemi_rngSpectrogramReferenceLevelOffset;
extern RsRangeTable rsemi_rngSpectrogramNoiseCorrection;
extern RsRangeTable rsemi_rngSpectrogramTraceMode;
extern RsRangeTable rsemi_rngSpectrogramFileDecimalSeparator;
extern RsRangeTable rsemi_rngSpectrogramMarkerStepSize;
extern RsRangeTable rsemi_rngSpectrogramMarkerTable;
extern RsRangeTable rsemi_rngSpectrogramDeltaMarkerReferenceMarker;
extern RsRangeTable rsemi_rngSpectrogramTriggerSource;
extern RsRangeTable rsemi_rngSpectrogramTriggerDelay;
extern RsRangeTable rsemi_rngSpectrogramTriggerSlope;
extern RsRangeTable rsemi_rngSpectrogramPostTriggerTime;
extern RsRangeTable rsemi_rngQuestionableRegister;
extern RsRangeTable rsemi_rngTraceMode;
extern RsRangeTable rsemi_rngAmplitudeUnitsRangeTable;
extern RsRangeTable rsemi_rngAbsRel;
extern RsRangeTable rsemi_rngESPMode;
extern RsRangeTable rsemi_rngDetectorTypeRangeTable;
extern RsRangeTable rsemi_rngCoupling;
extern RsRangeTable rsemi_rngListRangDet;
extern RsRangeTable rsemi_rngDISPConfPreDefColour;
extern RsRangeTable rsemi_rngHcopyDeviceLang;
extern RsRangeTable rsemi_rngHcopyDeviceOrient;
extern RsRangeTable rsemi_rngDISPFormat;
extern RsRangeTable rsemi_rngDomain;
extern RsRangeTable rsemi_rngLinLog;
extern RsRangeTable rsemi_rngServiceInput;
extern RsRangeTable rsemi_rngAvgType;
extern RsRangeTable rsemi_rngMarkerPeakListSort;
extern RsRangeTable rsemi_rngMarkerDemodType;
extern RsRangeTable rsemi_rngMeasPowerSelect;
extern RsRangeTable rsemi_rngMeasPowerStandard;
extern RsRangeTable rsemi_rngMeasPowerMode;
extern RsRangeTable rsemi_rngMeasStatUnit;
extern RsRangeTable rsemi_rngFFTFilterMode;
extern RsRangeTable rsemi_rngBandFiltType;
extern RsRangeTable rsemi_rngVbwFiltType;
extern RsRangeTable rsemi_rngTFacUnit;
extern RsRangeTable rsemi_rngCvlBand;
extern RsRangeTable rsemi_rngFreqCentLink;
extern RsRangeTable rsemi_rngFreqMode;
extern RsRangeTable rsemi_rngListFiltType;
extern RsRangeTable rsemi_rngOffOnAuto;
extern RsRangeTable rsemi_rngExtMixerHarmonicType;
extern RsRangeTable rsemi_rngExtMixerHarmBand;
extern RsRangeTable rsemi_rngAdjChAutoSel;
extern RsRangeTable rsemi_rngAdjPreset;
extern RsRangeTable rsemi_rngSourceIntExt;
extern RsRangeTable rsemi_rngExtGateTrigType;
extern RsRangeTable rsemi_rngHcopyDevice;
extern RsRangeTable rsemi_rngPolarity;
extern RsRangeTable rsemi_rngExtGateSource;
extern RsRangeTable rsemi_rngSweepContMode;
extern RsRangeTable rsemi_rngTraceFormat;
extern RsRangeTable rsemi_rngTriggerSource;
extern RsRangeTable rsemi_rngFileDecSeparator;
extern RsRangeTable rsemi_rngVSAConfDisplayTraceSpacing;
extern RsRangeTable rsemi_rngMarkerStepSize;
extern RsRangeTable rsemi_rngMpowFiltType;
extern RsRangeTable rsemi_rngPct;
extern RsRangeTable rsemi_rngRefLevelOffset;
extern RsRangeTable rsemi_rngRefLevel;
extern RsRangeTable rsemi_rngVBW;
extern RsRangeTable rsemi_rngListRangInpAtt;
extern RsRangeTable rsemi_rngListRangRlev;
extern RsRangeTable rsemi_rngFreqOffset;
extern RsRangeTable rsemi_rngSweepCount;
extern RsRangeTable rsemi_rngDISPConfPowSave;
extern RsRangeTable rsemi_rngTrace;
extern RsRangeTable rsemi_rngExtGateDelay;
extern RsRangeTable rsemi_rngLimits;
extern RsRangeTable rsemi_rngLimitOffset;
extern RsRangeTable rsemi_rngLimitMargin;
extern RsRangeTable rsemi_rngDISPAmplitudeRang;
extern RsRangeTable rsemi_rngSwePoints;
extern RsRangeTable rsemi_rngBandRatio;
extern RsRangeTable rsemi_rngMarkerPeakListCount;
extern RsRangeTable rsemi_rngMarkerNdBDown;
extern RsRangeTable rsemi_rngMarkerDemodHoldoff;
extern RsRangeTable rsemi_rngMeasStatUpperLimit;
extern RsRangeTable rsemi_rngMeasStatLowerLimit;
extern RsRangeTable rsemi_rngMeasHDISTNharm;
extern RsRangeTable rsemi_rngSweepTime;
extern RsRangeTable rsemi_rngSignalTrackThreshold;
extern RsRangeTable rsemi_rngTraceMathPosition;
extern RsRangeTable rsemi_rngTimeLinePos;
extern RsRangeTable rsemi_rngRBW;
extern RsRangeTable rsemi_rngVbwRatio;
extern RsRangeTable rsemi_rngAvgCount;
extern RsRangeTable rsemi_rngCvlPortMixer;
extern RsRangeTable rsemi_rngExtMixerPorts;
extern RsRangeTable rsemi_rngExtMixerHarmonic;
extern RsRangeTable rsemi_rngExtMixerTreshold;
extern RsRangeTable rsemi_rngChannelSpacing;
extern RsRangeTable rsemi_rngCarrSignNum;
extern RsRangeTable rsemi_rngAdjChNum;
extern RsRangeTable rsemi_rngChannelBandwidth;
extern RsRangeTable rsemi_rngAdjRefTxChann;
extern RsRangeTable rsemi_rngPowPct;
extern RsRangeTable rsemi_rngRoscFreq;
extern RsRangeTable rsemi_rngExtGateLength;
extern RsRangeTable rsemi_rngExtTrigLevel;
extern RsRangeTable rsemi_rngCvlBias;
extern RsRangeTable rsemi_rngLinkFactor;
extern RsRangeTable rsemi_rngBias;
extern RsRangeTable rsemi_rngPeakSearchMargin;
extern RsRangeTable rsemi_rngPeakSerachSubrange;
extern RsRangeTable rsemi_rngSEListRangeLimit;
extern RsRangeTable rsemi_rngIFPowOffset;
extern RsRangeTable rsemi_rngIFPowHyst;
extern RsRangeTable rsemi_rngTriggerTimeInterval;
extern RsRangeTable rsemi_rngAttenuationRangeTable;
extern RsRangeTable rsemi_rngSANInputImpedance;
extern RsRangeTable rsemi_rngHcopyColourDef;
extern RsRangeTable rsemi_rngInpAmptEattMan;
extern RsRangeTable rsemi_rngFreqCountRes;
extern RsRangeTable rsemi_rngExtMixerLoPower;
extern RsRangeTable rsemi_rngServiceCombFrequency;
extern RsRangeTable rsemi_rngSEMRRCValue;
extern RsRangeTable rsemi_rngSEMFilterType;
extern RsRangeTable rsemi_rngSEMInsertRange;
extern RsRangeTable rsemi_rngSEMRangeLimits;
extern RsRangeTable rsemi_rngSEMRangeLimitCheckType;
extern RsRangeTable rsemi_rngSEMPowerRefType;
extern RsRangeTable rsemi_rngIFOutputSource;
extern RsRangeTable rsemi_rngSEMPowerClassLimit;
extern RsRangeTable rsemi_rngSEMPowerClassCount;
extern RsRangeTable rsemi_rngTouchscreenDisplay;
extern RsRangeTable rsemi_rngAutoMan;
extern RsRangeTable rsemi_rngSweepType;
extern RsRangeTable rsemi_rngAmplAttenMode;
extern RsRangeTable rsemi_rngIQDataGateType;
extern RsRangeTable rsemi_rngIQDataDisplayType;
extern RsRangeTable rsemi_rngExtMixerHarmonicFSV;
extern RsRangeTable rsemi_rngBandPowerMode;
extern RsRangeTable rsemi_rngInstrument;
extern RsRangeTable rsemi_rngDeltaMarkerReference;
extern RsRangeTable rsemi_rngresultdispay;
extern RsRangeTable rsemi_rngPeakListSize;
extern RsRangeTable rsemi_rngAutoAdjustHystersis;
extern RsRangeTable rsemi_rngPowerNoiseCorrection;
extern RsRangeTable rsemi_rngDataSetLoadMode;
extern RsRangeTable rsemi_rngDataSetStoreMode;
extern RsRangeTable rsemi_rngSequencerMode;
extern RsRangeTable rsemi_rngAssignMarkertoTraceRaisingFalling;
extern RsRangeTable rsemi_rngSpeakerVolume;
extern RsRangeTable rsemi_rngIFShift;
extern RsRangeTable rsemi_rngTVTriggerLineSystem;
extern RsRangeTable rsemi_rngTVTriggerVerticalSignal;
extern RsRangeTable rsemi_rngMarkerLinkAllMarkers;
extern RsRangeTable rsemi_rngScanTransmissionMode;
extern RsRangeTable rsemi_rngScanTransmissionModeRead;
extern RsRangeTable rsemi_rngScanPoints;
extern RsRangeTable rsemi_rngScanTime;
extern RsRangeTable rsemi_rngTimeLinePosition;
extern RsRangeTable rsemi_rngTransducerSetUnit;
extern RsRangeTable rsemi_rngSpectrogramColor;
extern RsRangeTable rsemi_rngFramesInMemory;
extern RsRangeTable rsemi_rngColorStyle;
extern RsRangeTable rsemi_rngColorLower;
extern RsRangeTable rsemi_rngColorShape;
extern RsRangeTable rsemi_rngSearchArea;
extern RsRangeTable rsemi_rngSpectrogramColorUpper;
extern RsRangeTable rsemi_rngCouplingState;
extern RsRangeTable rsemi_rngHcopyDeviceLang_001;
extern RsRangeTable rsemi_rngHCopyOutput;
extern RsRangeTable rsemi_rngTestReportItem;
extern RsRangeTable rsemi_rngTestReportRepetition;
extern RsRangeTable rsemi_rngTestReportPageSize;
extern RsRangeTable rsemi_rngStatusRegisterQuestionable;
extern RsRangeTable rsemi_rngStatusRegister;
extern RsRangeTable rsemi_rngStatusRegisterPart;
extern RsRangeTable rsemi_rngSwitchState;
extern RsRangeTable rsemi_rngCMAPItem;
extern RsRangeTable rsemi_rngChannelType;
extern RsRangeTable rsemi_rngIFOutputSideband;
extern RsRangeTable rsemi_rngSweepOptimization;
extern RsRangeTable rsemi_rngTraceResultType;
extern RsRangeTable rsemi_rngTraceExportAll;
extern RsRangeTable rsemi_rngTriggerIQPowerLevel;
extern RsRangeTable rsemi_rngTriggerDirection;
extern RsRangeTable rsemi_rngTriggerOType;
extern RsRangeTable rsemi_rngTriggerLevel;
extern RsRangeTable rsemi_rngPreampLevel;
extern RsRangeTable rsemi_rngRFInputEnabled;
extern RsRangeTable rsemi_rngLayoutDirection;
extern RsRangeTable rsemi_rngLayoutQueryWindowType;
extern RsRangeTable rsemi_rngServiceWidebandCalibraitonFrequency;
extern RsRangeTable rsemi_rngServiceCalibrationFrequencyRFSpectrum;
extern RsRangeTable rsemi_rngServiceCalibrationFrequencyMW;
extern RsRangeTable rsemi_rngLimitCheckState;
extern RsRangeTable rsemi_rngStatisticsResultType;
extern RsRangeTable rsemi_rngMeasStatProbability;
extern RsRangeTable rsemi_rngDetector;
extern RsRangeTable rsemi_rngMeasSEResultType;
extern RsRangeTable rsemi_rngAcquisitionStatus;
extern RsRangeTable rsemi_rngReceiverMeasurementSequences;
extern RsRangeTable rsemi_rngStepsizeLinkType;
extern RsRangeTable rsemi_rngFrequencyScanRangePreamplifierGain;
extern RsRangeTable rsemi_rngReceiverTriggerOffset;
extern RsRangeTable rsemi_rngReceiverTriggerIFPowerHoldoff;
extern RsRangeTable rsemi_rngReceiverTimeInterval;
extern RsRangeTable rsemi_rngServiceBBSignalType;
extern RsRangeTable rsemi_rngReferenceOscillatorLoopBandwidth;
extern RsRangeTable rsemi_rngReferenceOscillatorTuningRange;
extern RsRangeTable rsemi_rngSystemPreamplifierOption;
extern RsRangeTable rsemi_rngADEMDetectorMode;
extern RsRangeTable rsemi_rngAnalogDemodulationResultUnit;
extern RsRangeTable rsemi_rngBasebandFullscaleLevel;
extern RsRangeTable rsemi_rngBBSignalPath;
extern RsRangeTable rsemi_rngAmplitudePreselectorMode;
extern RsRangeTable rsemi_rngAmplitudePreselectorFilterType;
extern RsRangeTable rsemi_rngAmplitudePreselectorFilterLowpassFrequency;
extern RsRangeTable rsemi_rngAmplitudePreselectorFilterHighpassFrequency;
extern RsRangeTable rsemi_rngBargraphDetector;
extern RsRangeTable rsemi_rngFrame;
extern RsRangeTable rsemi_rngOutputTriggerDirection;
extern RsRangeTable rsemi_rngOutputTriggerLevel;
extern RsRangeTable rsemi_rngOutputTriggerType;
extern RsRangeTable rsemi_rngAutoAdjustMeasurementTime;
extern RsRangeTable rsemi_rngSpectrumEmissionMaskMSRBandCategory;
extern RsRangeTable rsemi_rngHpasFilterFreq;
extern RsRangeTable rsemi_rngFilterFrequencyManual;
extern RsRangeTable rsemi_rngSEMSubblock;
extern RsRangeTable rsemi_rngPreamplifierLevel;
extern RsRangeTable rsemi_rngSEMRangeLimitFunction;
extern RsRangeTable rsemi_rngSEMRangeMultiLimitCalc;
extern RsRangeTable rsemi_rngSEMSweepPoints;
extern RsRangeTable rsemi_rngIQBandwidthMode;
extern RsRangeTable rsemi_rngIQFFTAlgorithm;
extern RsRangeTable rsemi_rngIQFFTLength;
extern RsRangeTable rsemi_rngIQFFTWindowLength;
extern RsRangeTable rsemi_rngIQFFTWindowOverlap;
extern RsRangeTable rsemi_rngIQFFTWindowType;
extern RsRangeTable rsemi_rngRollOffFactor;
extern RsRangeTable rsemi_rngMSRNumberOfSubblocks;
extern RsRangeTable rsemi_rngMSRTxTechnolgy;
extern RsRangeTable rsemi_rngMSRTxChannelCount;
extern RsRangeTable rsemi_rngExternalGeneratorInterfaceType;
extern RsRangeTable rsemi_rngExtGenIntfType;
extern RsRangeTable rsemi_rngExtGenAddr;
extern RsRangeTable rsemi_rngAudioOutputMaximumVolume;
extern RsRangeTable rsemi_rngIQMaximumBandwidth;
extern RsRangeTable rsemi_rngMinMax;
extern RsRangeTable rsemi_rngFmTriggerSource;
extern RsRangeTable rsemi_rngFmeasDetectorType;
extern RsRangeTable rsemi_rngMSRADataEvaluation;
extern RsRangeTable rsemi_rngAdemTrigAMLevelAbs;
extern RsRangeTable rsemi_rngAdemTrigAMLevelRel;
extern RsRangeTable rsemi_rngAdemTrigFMLevel;
extern RsRangeTable rsemi_rngAdemTrigPMLevel;
extern RsRangeTable rsemi_rngAdemBwid;
extern RsRangeTable rsemi_rngAdemStereoSquelchLevel;
extern RsRangeTable rsemi_rngAdemPhaseWrap;
extern RsRangeTable rsemi_rngAdemOperatingMode;
extern RsRangeTable rsemi_rngAdemBandRes;
extern RsRangeTable rsemi_rngLpasFiltFreq;
extern RsRangeTable rsemi_rngFiltDempPctConst;
extern RsRangeTable rsemi_rngFiltDempTimeConst;
extern RsRangeTable rsemi_rngTimeStampFrame;
extern RsRangeTable rsemi_rngSystemPresetMode;
extern RsRangeTable rsemi_rngUpDown;
extern RsRangeTable rsemi_rngTrackingGeneratorCalibration;
extern RsRangeTable rsemi_rngTrackingGeneratorMeasType;
extern RsRangeTable rsemi_rngTrackingGeneratorModFMDev;
extern RsRangeTable rsemi_rngTrackingGeneratorModFreqOffset;
extern RsRangeTable rsemi_rngTrackingGeneratorLevelOffset;
extern RsRangeTable rsemi_rngTrackingGeneratorPowerMode;
extern RsRangeTable rsemi_rngTrackingGeneratorPower;
extern RsRangeTable rsemi_rngSpectrogramLayout;
extern RsRangeTable rsemi_rngMeasPowerSet;
extern RsRangeTable rsemi_rngDirectPath;
extern RsRangeTable rsemi_rngTriggerIFPowerCoupling;
extern RsRangeTable rsemi_rngCalibrationAutoAveraging;
extern RsRangeTable rsemi_rngRFSwitchInput;
extern RsRangeTable rsemi_rngSpectrogramLayoutQueryWindowType;
extern RsRangeTable rsemi_rngReceiverLayoutQueryWindowType;
extern RsRangeTable rsemi_rngTestReportChannelType;
extern RsRangeTable rsemi_rngPeakListPeakTrace;
extern RsRangeTable rsemi_rngTimeDomainMode;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSEMI_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSEMI_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSEMI_RS_ATTR_CACHE;
extern RsAttrProperties g_RSEMI_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSEMI_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSEMI_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPY;
extern RsAttrProperties g_RSEMI_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSEMI_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSEMI_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSEMI_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSEMI_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSEMI_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSEMI_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSEMI_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSEMI_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSEMI_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSEMI_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSEMI_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSEMI_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSEMI_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSEMI_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSEMI_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSEMI_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSEMI_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSEMI_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSEMI_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSEMI_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSEMI_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSEMI_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSEMI_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSEMI_ATTR_SAN_NUM_OF_SWEEPS;
extern RsAttrProperties g_RSEMI_ATTR_SAN_SWEEP_MODE_CONTINUOUS;
extern RsAttrProperties g_RSEMI_ATTR_VERTICAL_SCALE;
extern RsAttrProperties g_RSEMI_ATTR_SAN_NUMBER_OF_SWEEPS;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MODE;
extern RsAttrProperties g_RSEMI_ATTR_GET_INSTR_MODE;
extern RsAttrProperties g_RSEMI_ATTR_AVG_STATE;
extern RsAttrProperties g_RSEMI_ATTR_AVG_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_AVG_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_PRESET_MEASUREMENT_CHANNEL;
extern RsAttrProperties g_RSEMI_ATTR_SELECT_MEASUREMENT_CHANNEL;
extern RsAttrProperties g_RSEMI_ATTR_DUPLICATE_MEASUREMENT_CHANNEL;
extern RsAttrProperties g_RSEMI_ATTR_DELETE_MEASUREMENT_CHANNEL;
extern RsAttrProperties g_RSEMI_ATTR_CALIBRATION;
extern RsAttrProperties g_RSEMI_ATTR_CALIBRATION_ABORT;
extern RsAttrProperties g_RSEMI_ATTR_CALIBRATION_RESULT_QUERY;
extern RsAttrProperties g_RSEMI_ATTR_CALIBRATION_STATE;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_ALL;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_FREQ;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_LEVEL_MEAS_TIME;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_LEVEL_MEAS_TIME_MODE;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_LEVEL_MEAS_TIME_FSWT;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_LEVEL_MEAS_TIME_MODE_FSWT;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_HYSTERSIS_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_HYSTERSIS_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_TRIGGER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_ADJUST_HYSTERSIS;
extern RsAttrProperties g_RSEMI_ATTR_SPECTRUM_DISPLAY_CREATE;
extern RsAttrProperties g_RSEMI_ATTR_SPECTRUM_DISPLAY_SELECT;
extern RsAttrProperties g_RSEMI_ATTR_SPECTRUM_DISPLAY_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_NOISE_SOURCE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_IF_OUTPUT_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_LINK;
extern RsAttrProperties g_RSEMI_ATTR_IF_OUTPUT_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_IF_OUTPUT_SIDEBAND;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_GAIN_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_GAIN_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_COUPLING;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_SCALE;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_AC_CUTOFF_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_LOW_PASS_FILTER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_LOW_PASS_FILTER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_PHONES_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_PROBE_POWER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_TRIGGER_DIRECTION;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_TRIGGER_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_TRIGGER_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_TRIGGER_PULSE;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_OUTPUT_TRIGGER_PULSE_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_SAN_FREQUENCY_MODE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_START;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_START_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_START_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_START_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_STOP;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_STOP_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_STOP_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_STOP_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_CENTER;
extern RsAttrProperties g_RSEMI_ATTR_CENTER_FREQUENCY_STEP;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_STEP_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_CENTER_LINK;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_CENTER_LINK_FACTOR;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SPAN_FULL;
extern RsAttrProperties g_RSEMI_ATTR_HORIZONTAL_SCALE;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_AMPLITUDE;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_ASSIGN_MARKER_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_AOFF;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_LOEX;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_STEP_SIZE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PROBABILITY;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_TRACK_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_TRACK_BWID;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_TRACK_BWID_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_TRACK_BWID_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_TRACK_BWID_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_TRACK_THRESHOLD;
extern RsAttrProperties g_RSEMI_ATTR_SIGNAL_TRACK_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_MIN_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_MIN_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_PEAK_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_PEAK_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_PEAK_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_MIN;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_MIN_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_PEAK_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_MIN_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_THRESHOLD_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_THRESHOLD;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_EXCURSION;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_LIMITS_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_LIMITS_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_SEARCH_LIMITS_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_LIMITS_ZOOM;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_FREQUENCY_COUNTER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_FREQUENCY_COUNTER_RESOLUTION;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_NOISE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_NOISE_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_DEMOD_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_DEMOD_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_DEMOD_HOLDOFF;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_DEMOD_CONT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_STORE_PEAK_LIST;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_ANNOTATION_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_ANNOTATION_LABEL;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_FOUND;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_SORT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_SIZE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_PEAK_LABELS;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_PEAK_LIST_MAXIMUM_PEAKS;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_REF_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_REF_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_REF_LEVEL_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_REF_FREQ;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_REF_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_ZOOM;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_TO_CENTER;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_TO_STEP;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_TO_REFERENCE;
extern RsAttrProperties g_RSEMI_ATTR_SAN_MARKER_LINK;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_LINK_ALL_MARKERS;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_LINK_TO_MARKER;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_BAND_POWER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_BAND_POWER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_BAND_POWER_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_MARKER_BAND_POWER_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_BAND_POWER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_BAND_POWER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_BAND_POWER_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_DELTA_MARKER_BAND_POWER_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_PEAK_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_PEAK_NEXT_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_PEAK_NEXT_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_MIN;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_MIN_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_MIN_NEXT_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_MIN_NEXT_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_PEAK_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_PEAK_NEXT_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_PEAK_NEXT_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_MIN;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_MIN_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_MIN_NEXT_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_MIN_NEXT_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_REL_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_AMPLITUDE;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_REFERENCE_MARKER;
extern RsAttrProperties g_RSEMI_ATTR_REF_MARKER_AOFF;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_LINK_TO_MARKER;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_REL_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_AMPLITUDE;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_REFERENCE_MARKER;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_AOFF;
extern RsAttrProperties g_RSEMI_ATTR_SAN_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_SAN_RESOLUTION_BANDWIDTH_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_RESOLUTION_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSEMI_ATTR_RESOLUTION_BANDWIDTH_RATIO_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_RESOLUTION_BANDWIDTH_RATIO_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_RESOLUTION_BANDWIDTH_RATIO_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SAN_RESOLUTION_BANDWIDTH_FILTER_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_TIME_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_DURATION;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_POINTS;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_OPTIMIZATION;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_COUNT_CURRENT;
extern RsAttrProperties g_RSEMI_ATTR_VIDEO_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_VIDEO_BANDWIDTH_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_VIDEO_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSEMI_ATTR_VIDEO_BANDWIDTH_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_FFT_FILTER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_ROSC_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_ROSC_SOURCE_EAUTO;
extern RsAttrProperties g_RSEMI_ATTR_ROSC_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_ROSC_LOOP_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_ROSC_O100_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ROSC_O640_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ROSC_SYNC_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ROSC_TUNING_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_RESET_BEHAVIOR;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_DETECTOR_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_DETECTOR_TYPE_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_EXPORT_ALL;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_EXPORT_HEADER;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_MATH_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_MATH_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_MATH_MODE;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_DELAY;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_SLOPE;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_DROPOUT_TIME;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_IQP_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_RFP_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_RFP_HOLDOFF;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_POSITION_IN_SAMPLE;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_DIRECTION;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_OUTPUT_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_PULSE_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_PULSE_GENERATE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_TRIGGER_LEVEL_PORT;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_TRACE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_TRACE_START;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_TRACE_STOP;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_TRACE_PERIOD_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_TRACE_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_HOLD;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_TRIGGER_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_POLARITY;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_GATE_SIGNAL_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_TRIGGER_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_VIDEO_TRIGGER_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_IFP_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_IFP_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_IFP_HYSTERESIS;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_IFP_COUPLING;
extern RsAttrProperties g_RSEMI_ATTR_TRIGGER_TIME_INTERVAL;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_CONVERSION_LOSS_LOW;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_CONVERSION_LOSS_TABLE_LOW;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_CONVERSION_LOSS_HIGH;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_CONVERSION_LOSS_TABLE_HIGH;
extern RsAttrProperties g_RSEMI_ATTR_CVL_NAME;
extern RsAttrProperties g_RSEMI_ATTR_CVL_MIXER;
extern RsAttrProperties g_RSEMI_ATTR_CVL_MIXER_SNUM;
extern RsAttrProperties g_RSEMI_ATTR_CVL_BAND;
extern RsAttrProperties g_RSEMI_ATTR_CVL_HARM;
extern RsAttrProperties g_RSEMI_ATTR_CVL_PORT_MIXER;
extern RsAttrProperties g_RSEMI_ATTR_CVL_BIAS;
extern RsAttrProperties g_RSEMI_ATTR_CVL_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_CVL_CLEAR;
extern RsAttrProperties g_RSEMI_ATTR_CVL_CATALOG;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_HARMONIC_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_HIGH_HARMONIC_STATE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_HARMONIC;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_HIGH_HARMONIC;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_BIAS_LOW;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_BIAS_HIGH;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_SIGNAL_ID_MODE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_LO_POWER;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_NUMBER_OF_PORTS;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_HARMONIC_BAND;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_THRESHOLD;
extern RsAttrProperties g_RSEMI_ATTR_GET_EXTERNAL_MIXER_RF_FREQUENCY_START;
extern RsAttrProperties g_RSEMI_ATTR_GET_EXTERNAL_MIXER_RF_FREQUENCY_STOP;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_HANDOVER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_RF_OVERRANGE;
extern RsAttrProperties g_RSEMI_ATTR_EXTERNAL_MIXER_PRESET_BAND;
extern RsAttrProperties g_RSEMI_ATTR_AMPLITUDE_UNITS;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_UP_DOWN;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_MODE;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_IF_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_IF;
extern RsAttrProperties g_RSEMI_ATTR_ATTENUATION_LIMITER;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_LEVEL_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_RF_COUPLING;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_EATT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_EATT_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_EATT_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_NOISE_INP_PRES_STAT;
extern RsAttrProperties g_RSEMI_ATTR_INP_PRESELECTOR_MODE;
extern RsAttrProperties g_RSEMI_ATTR_INP_PRESELECTOR_FILTER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_INP_PRESELECTOR_FILTER_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_INP_PRESELECTOR_FILTER_LPAS_FREQ;
extern RsAttrProperties g_RSEMI_ATTR_INP_PRESELECTOR_FILTER_HPAS_FREQ;
extern RsAttrProperties g_RSEMI_ATTR_INP_PRESELECTOR_FILTER_SPLIT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_PREAMPLIFIER;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_PREAMPLIFIER_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_LNA_PREAMPLIFIER_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_LNA_PREAMPLIFIER;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_PROTECTION_RESET;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_PROTECTION_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_YIG_FILTER;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_HIGHPASS_FILTER;
extern RsAttrProperties g_RSEMI_ATTR_AMPL_RF_INPUT;
extern RsAttrProperties g_RSEMI_ATTR_SAN_INPUT_IMPEDANCE;
extern RsAttrProperties g_RSEMI_ATTR_DIRECT_PATH;
extern RsAttrProperties g_RSEMI_ATTR_INP_PRESELECTOR_NOTCH_FILTER_STATE;
extern RsAttrProperties g_RSEMI_LIMIT_STATE;
extern RsAttrProperties g_RSEMI_LIMIT_CLEAR;
extern RsAttrProperties g_RSEMI_SAN_LIMIT_ASSIGN_TRACE;
extern RsAttrProperties g_RSEMI_LIMIT_UNITS;
extern RsAttrProperties g_RSEMI_SAN_LIMIT_COMMENT;
extern RsAttrProperties g_RSEMI_SAN_LIMIT_COPY;
extern RsAttrProperties g_RSEMI_SAN_LIMIT_NAME;
extern RsAttrProperties g_RSEMI_SAN_LIMIT_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_ACTIVE;
extern RsAttrProperties g_RSEMI_LIMIT_CHECK_RESULT;
extern RsAttrProperties g_RSEMI_SAN_LIMIT_CONTROL_DOMAIN;
extern RsAttrProperties g_RSEMI_LIMIT_CONTROL_SPACING;
extern RsAttrProperties g_RSEMI_LIMIT_CONTROL_SCALING;
extern RsAttrProperties g_RSEMI_LIMIT_CONTROL_OFFSET;
extern RsAttrProperties g_RSEMI_LIMIT_CONTROL_SHIFT;
extern RsAttrProperties g_RSEMI_LIMIT_LOWER_STATE;
extern RsAttrProperties g_RSEMI_LIMIT_LOWER_SCALING;
extern RsAttrProperties g_RSEMI_LIMIT_LOWER_SPACING;
extern RsAttrProperties g_RSEMI_LIMIT_LOWER_MARGIN;
extern RsAttrProperties g_RSEMI_LIMIT_LOWER_THRESHOLD;
extern RsAttrProperties g_RSEMI_LIMIT_LOWER_OFFSET;
extern RsAttrProperties g_RSEMI_LIMIT_LOWER_SHIFT;
extern RsAttrProperties g_RSEMI_LIMIT_UPPER_STATE;
extern RsAttrProperties g_RSEMI_LIMIT_UPPER_SCALING;
extern RsAttrProperties g_RSEMI_LIMIT_UPPER_SPACING;
extern RsAttrProperties g_RSEMI_LIMIT_UPPER_MARGIN;
extern RsAttrProperties g_RSEMI_LIMIT_UPPER_THRESHOLD;
extern RsAttrProperties g_RSEMI_LIMIT_UPPER_OFFSET;
extern RsAttrProperties g_RSEMI_LIMIT_UPPER_SHIFT;
extern RsAttrProperties g_RSEMI_ATTR_DLINE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DLINE_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_FLINE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_FLINE_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_TLINE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TLINE_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_THRLINE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_THRLINE_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_DISP_REF_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_REF_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_DISP_FP_KEYS;
extern RsAttrProperties g_RSEMI_ATTR_SELECT_WINDOW;
extern RsAttrProperties g_RSEMI_ATTR_DISP_CHANNEL_BAR_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_MULTIVIEW_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_DISP_FREQ_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_LOGO_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_TIME_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_DISP_COMMENT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_FORMAT;
extern RsAttrProperties g_RSEMI_ATTR_DISP_WINDOW_SIZE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_LOG_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_AMPLITUDE_GRID_MODE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_UPDATE;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_SELECT_SUBWINDOW;
extern RsAttrProperties g_RSEMI_ATTR_DISP_UNIT_POWER;
extern RsAttrProperties g_RSEMI_ATTR_DISP_TRACE_Y_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_DISP_Y_AXIS_SCALING;
extern RsAttrProperties g_RSEMI_ATTR_DISP_REF_VALUE_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_INPUT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_STATUS_BAR;
extern RsAttrProperties g_RSEMI_ATTR_DISP_SOFTKEY_BAR;
extern RsAttrProperties g_RSEMI_ATTR_DISP_TOOL_BAR;
extern RsAttrProperties g_RSEMI_ATTR_DISP_TOUCHSCREEN_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISP_THEME_CATALOG;
extern RsAttrProperties g_RSEMI_ATTR_DISP_SELECT_THEME;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_MARKER_INFO;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_ZOOM_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_CONDUCTANCES;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_ACTIVE_MEASUREMENT_WINDOW;
extern RsAttrProperties g_RSEMI_ATTR_UNIT_POWER;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_MULTIPLE_ZOOM_STATE;
extern RsAttrProperties g_RSEMI_ATTR_LAYOUT_WINDOW_REMOVE;
extern RsAttrProperties g_RSEMI_ATTR_LAYOUT_WINDOW_LIST;
extern RsAttrProperties g_RSEMI_ATTR_LAYOUT_QUERY_WINDOW_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_LAYOUT_QUERY_WINDOW_NAME;
extern RsAttrProperties g_RSEMI_ATTR_DISP_COL_PRESET;
extern RsAttrProperties g_RSEMI_ATTR_DISP_COL_PREDEFINED;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_FOCUS_AREA;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_SUBWINDOW_SIZE;
extern RsAttrProperties g_RSEMI_ATTR_AUDIO_OUTPUT_MAXIMUM_VOLUME;
extern RsAttrProperties g_RSEMI_ATTR_AUDIO_OUTPUT_MUTE;
extern RsAttrProperties g_RSEMI_ATTR_SYST_SPEAKER;
extern RsAttrProperties g_RSEMI_ATTR_APPL_SETUP_REC;
extern RsAttrProperties g_RSEMI_ATTR_REMOTE_LOGGING_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SYSTEM_SHUTDOWN;
extern RsAttrProperties g_RSEMI_ATTR_FRONTEND_TEMPERATURE;
extern RsAttrProperties g_RSEMI_ATTR_SYST_PREAMPLIFIER_OPTION;
extern RsAttrProperties g_RSEMI_ATTR_SECURE_USER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_ATTENUATION;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_CENTER;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_DEMODULATION;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_GAIN;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_MARKER;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_PRESELECTOR;
extern RsAttrProperties g_RSEMI_ATTR_COUPLING_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_ABORT;
extern RsAttrProperties g_RSEMI_ATTR_INIT;
extern RsAttrProperties g_RSEMI_ATTR_INIT_WITHOUT_OPC;
extern RsAttrProperties g_RSEMI_ATTR_INIT_CONMEAS;
extern RsAttrProperties g_RSEMI_ATTR_INIT_SW_TRIGGER;
extern RsAttrProperties g_RSEMI_ATTR_INIT_SPURIOUS;
extern RsAttrProperties g_RSEMI_ATTR_INIT_SEM_MEAS;
extern RsAttrProperties g_RSEMI_ATTR_INIT_SEQUENCER;
extern RsAttrProperties g_RSEMI_ATTR_ABORT_SEQUENCER;
extern RsAttrProperties g_RSEMI_ATTR_REFRESH_SEQUENCER;
extern RsAttrProperties g_RSEMI_ATTR_SEQUENCER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEQUENCER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_PNO_STATE;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_PNO_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_REFERENCE_MARKER_PNO_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_NDB_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_NDB_VAL;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_NDB_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_NDB_Q_FACTOR;
extern RsAttrProperties g_RSEMI_ATTR_LIST_POW_STATE_OFF;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_RMS;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_MEAN;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_SDEV;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_AVG;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_MAX_HOLD;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_MODE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_AOFF;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_SET_REFERENCE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_PEAK_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_RMS_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_MEAN_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_SDEV_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_AVG_PEAK_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_AVG_RMS_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_AVG_MEAN_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_AVG_SDEV_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_PEAK_HOLD_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_PEAK_HOLD_RMS_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_PEAK_HOLD_MEAN_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TDOM_PEAK_HOLD_SDEV_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_SELECT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_SET;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_OFF;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ADJ_NUM;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ADJ_MODE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_MODE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_RESULT_MODE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ADJ_CHANNEL_SPACING;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ADJ_CHANNEL_NAME;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ADJ_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_NOISE_CORR;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_NOISE_CORR_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_STANDARD;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_USER_STANDARD;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_STANDARD_CATALOG;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_REF_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ADJ_PRESET;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_CARR_SIG_NUM;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_REF_CHAN_SEL_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ADJ_REF_TXCHANNEL;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_SEM_WEIGHT_FILTER_ALL_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_WEIGHT_FILTER_ALL_ALPHA;
extern RsAttrProperties g_RSEMI_ATTR_SEM_WEIGHT_FILTER_ACH_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_WEIGHT_FILTER_ACH_ALPHA;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_MSR_NUMBER_OF_SUBBLOCKS;
extern RsAttrProperties g_RSEMI_ATTR_MSR_GAP_CHANNEL_SPACING;
extern RsAttrProperties g_RSEMI_ATTR_MSR_GAP_CHANNEL_BANDWIDTHS;
extern RsAttrProperties g_RSEMI_ATTR_MSR_GAP_WEIGHTING_FILTER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MSR_GAP_WEIGHTING_FILTER_ROLL_OFF_FACTOR;
extern RsAttrProperties g_RSEMI_ATTR_MSR_GAP_LIMIT_RELATIVE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MSR_GAP_LIMIT_RELATIVE;
extern RsAttrProperties g_RSEMI_ATTR_MSR_GAP_LIMIT_ABSOLUTE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MSR_GAP_LIMIT_ABSOLUTE;
extern RsAttrProperties g_RSEMI_ATTR_MSR_SUBBLOCK_CENTER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_MSR_SUBBLOCK_RF_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_MSR_SUBBLOCK_TX_CHANNEL_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_MSR_TX_CENTER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_MSR_TX_TECHNOLOGY;
extern RsAttrProperties g_RSEMI_ATTR_MSR_TX_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_MSR_TX_WEIGHTING_FILTER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MSR_TX_WEIGHTING_FILTER_ROLL_OFF_FACTOR;
extern RsAttrProperties g_RSEMI_ATTR_MSR_TX_CHANNEL_NAME;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ALT_CHANNEL_SPACING;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ALT_CHANNEL_NAME;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_ALT_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_POWER_ALT_CHANNEL_WEIGHTING_FILTER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_POWER_ALT_CHANNEL_WEIGHTING_FILTER_ALPHA_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_WEIGHT_FILTER_ALT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_WEIGHT_FILTER_ALT_ALPHA;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_CHANNEL_NAME;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_CHAN_SPACING;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_POW_CHANNEL_SPACING;
extern RsAttrProperties g_RSEMI_ATTR_POW_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_POWER_CHANNEL_WEIGHTING_FILTER;
extern RsAttrProperties g_RSEMI_ATTR_POWER_CHANNEL_WEIGHTING_FILTER_ALPHA;
extern RsAttrProperties g_RSEMI_ATTR_SEM_WEIGHT_FILTER_TX_CHANNEL_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_WEIGHT_FILTER_TX_CHANNEL_ALPHA;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_ACP_ALT_LIMIT_REL_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_ACP_ALT_LIMIT_ABS_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_ACP_LIMIT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_ACP_LIMIT_REL_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_ACP_LIMIT_ABS_STATE;
extern RsAttrProperties g_RSEMI_ATTR_ACP_USER_STD_SET;
extern RsAttrProperties g_RSEMI_ATTR_ACP_USER_STD_SAVE;
extern RsAttrProperties g_RSEMI_ATTR_ACP_USER_STD_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_ACP_HSP;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_ACP_PRESET_REF_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_APD_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_CCDF_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_SAMPLES;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_X_REF;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_X_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_Y_UNIT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_Y_MIN;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_Y_MAX;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_ADJ;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_STAT_PRESET;
extern RsAttrProperties g_RSEMI_ATTR_STAT_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_MDEPTH_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_MDEPTH_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_MODDEPTH_SEARCH;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_MDEPTH_SEARCH;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TOI_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TOI_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_TOI_SEARCH;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_HDIST_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_HDIST_NOOFHARM;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_HDIST_RBWAUTO;
extern RsAttrProperties g_RSEMI_ATTR_MEAS_HDIST_PRESET;
extern RsAttrProperties g_RSEMI_ATTR_MPOW_MIN;
extern RsAttrProperties g_RSEMI_ATTR_MPOW_FTYPE;
extern RsAttrProperties g_RSEMI_ATTR_SE_PEAK_SEARCH_MARGIN;
extern RsAttrProperties g_RSEMI_ATTR_SE_PEAK_SEARCH_DETAILS;
extern RsAttrProperties g_RSEMI_ATTR_SE_PEAK_SEARCH_PEAKS;
extern RsAttrProperties g_RSEMI_ATTR_SE_MARK_ALL_PEAKS;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_SE_PEAK_SEARCH;
extern RsAttrProperties g_RSEMI_ATTR_SE_STORE_FILE;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_EVAL_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_DEL;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_START;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_STOP;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_FILT_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_BAND;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_BAND_VID;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_SWE_TIME_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_SWE_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_DET;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_RLEV;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_INP_ATT_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_INP_ATT;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_POINTS;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_BREAK;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_TRAN;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_INP_GAIN_STAT;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_INP_GAIN_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANGE_INP_GAIN_LNA_STAT;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_LIMIT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_LIMIT_START;
extern RsAttrProperties g_RSEMI_ATTR_SE_LIST_RANG_LIMIT_STOP;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_ANALYZER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_FORMAT;
extern RsAttrProperties g_RSEMI_ATTR_IQ_SAMPLE_RATE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_MAX_BANDWIDTH_EXTENSION;
extern RsAttrProperties g_RSEMI_ATTR_IQ_MAX_BANDWIDTH_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_MAX_BANDWIDTH_MAX;
extern RsAttrProperties g_RSEMI_ATTR_IQ_BANDWIDTH_MODE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_BANDWIDTH_RESOLUTION;
extern RsAttrProperties g_RSEMI_ATTR_IQ_RECORD_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_STATE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_AVER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_AVER_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_GATE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_GATE_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_GATE_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_GATE_GAP;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_GATE_NUMBER_OF_PERIODS;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_DISPLAY_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_FILTER_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_IQ_SWAP_IQ;
extern RsAttrProperties g_RSEMI_ATTR_LOAD_IQ_DATA;
extern RsAttrProperties g_RSEMI_ATTR_SAVE_IQ_DATA;
extern RsAttrProperties g_RSEMI_ATTR_IQ_FFT_ALGORITHM;
extern RsAttrProperties g_RSEMI_ATTR_IQ_FFT_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_IQ_FFT_WIN_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_IQ_FFT_WIN_OVERLAP;
extern RsAttrProperties g_RSEMI_ATTR_IQ_FFT_WINDOW_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_APC_STATE;
extern RsAttrProperties g_RSEMI_ATTR_IQ_APC_FACTOR_A;
extern RsAttrProperties g_RSEMI_ATTR_IQ_APC_FACTOR_B;
extern RsAttrProperties g_RSEMI_ATTR_IQ_APC_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_IQ_DATA_EXPORT_FILE_DESCRIPTION;
extern RsAttrProperties g_RSEMI_ATTR_ESP_RESTORE;
extern RsAttrProperties g_RSEMI_ATTR_ESP_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_PEAK_SEARCH;
extern RsAttrProperties g_RSEMI_ATTR_ESP_MAN_VAL;
extern RsAttrProperties g_RSEMI_ATTR_SEM_PEAK_SEARCH_MARGIN;
extern RsAttrProperties g_RSEMI_ATTR_SEM_PEAK_SEARCH_PEAKS;
extern RsAttrProperties g_RSEMI_ATTR_SEM_LIST_EVAL_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_MARK_ALL_PEAKS;
extern RsAttrProperties g_RSEMI_ATTR_SEM_POWER_REF_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RRC_FILTER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RRC_FILTER_ALPHA_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_REF_RANGE_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_SEM_FAST_SEM;
extern RsAttrProperties g_RSEMI_ATTR_SEM_LIST_FILE_EXPORT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_POWER_CLASS_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_ESP_PEAK_SEARCH;
extern RsAttrProperties g_RSEMI_ATTR_SEM_INSERT_NEW_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_DELETE_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_FREQ_START;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_FREQ_STOP;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_FILTER_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_VBW;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_SWEEP_TIME_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_SWEEP_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_REF_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_INPUT_ATTENUATION_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_INPUT_ATTENUATION;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_PREAMPLIFIER;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_LNA_PREAMPLIFIER;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_TRANSDUCER;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_LIMIT_CHECK_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_START_FREQ_ABS_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_STOP_FREQ_ABS_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_START_FREQ_REL_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RANGE_STOP_FREQ_REL_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_POWER_CLASS_USED;
extern RsAttrProperties g_RSEMI_ATTR_SEM_POWER_CLASS_LIMIT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_POWER_CLASS_LOWER_LEVEL_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_POWER_CLASS_UPPER_LEVEL_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_PRESET_STANDARD;
extern RsAttrProperties g_RSEMI_ATTR_SEM_RESTORE_STANDARD;
extern RsAttrProperties g_RSEMI_ATTR_SEM_STORE_PRESET;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_CENTER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_POWER_REF_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RRC_FILTER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RRC_FILTER_ALPHA_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_REF_RANGE_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_FAST_SEM;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_MSR_BAND_CATEGORY;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_MSR_RF_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_MSR_GSM_PRESENT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_MSR_LTE_PRESENT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_MSR_APPLY;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_INSERT_NEW_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_DELETE_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_FREQ_START;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_FREQ_STOP;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_FILTER_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_VBW;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_SWEEP_TIME_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_SWEEP_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_REF_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_INPUT_ATTENUATION_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_INPUT_ATTENUATION;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_PREAMPLIFIER;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_PREAMPLIFIER_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_TRANSDUCER;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_MULTILIMT_CALC;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_MIN_SWEEP_POINTS;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_LIMIT_CHECK_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_START_FREQ_ABS_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_STOP_FREQ_ABS_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_START_FREQ_REL_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_STOP_FREQ_REL_LIMIT;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_START_FREQ_REL_LIMIT_ABS_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_START_FREQ_REL_LIMIT_FUNC;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_STOP_FREQ_REL_LIMIT_ABS_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RANGE_STOP_FREQ_REL_LIMIT_FUNC;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_PRESET_STANDARD;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_RESTORE_STANDARD;
extern RsAttrProperties g_RSEMI_ATTR_SEM_SUBBLOCK_STORE_PRESET;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_TRIGGER_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_TRIGGER_AM_LEVEL_ABS;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_TRIGGER_AM_LEVEL_RELATIVE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_TRIGGER_FM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_TRIGGER_PM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_AF_COUPLING;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_MEAS_TIME;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_ZOOM_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_ZOOM_START;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_ZOOM_LENGTH_MODE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_ZOOM_LENGTH;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SQUELCH;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SQUELCH_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_PHASE_WRAP;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_ZERO_PHASE_REF_POINT;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_PRESET_LOAD;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_PRESET_STORE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_PRESET_RESTORE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_AF_CENTER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_AF_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_AF_START_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_AF_STOP_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_AF_FULL_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_RF_SPECTRUM_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_RF_SPECTRUM_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_RF_SPECTRUM_ZOOM;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_HIGH_PASS_AF_FILTER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_HIGH_PASS_FILTER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_LOW_PASS_AF_FILTER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_LOW_PASS_AF_FILTER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_LOW_PASS_FILTER_FREQUENCY_RELATIVE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_FILTER_FREQUENCY_MANUAL_HIGHPASS;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_FILTER_FREQUENCY_MANUAL_LOWPASS;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_DEEMPHASIS_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_DEEMPHASIS_TIME_CONSTANT;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_FILTER_CCITT_WEIGHTING;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_FILTER_CCIR_WEIGHTING;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_FILTER_A_WEIGHTED_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SELECT_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_RESULT_UNIT;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_AM_PPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_AM_MPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_AM_MIDDLE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_AM_RMS;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_FM_PPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_FM_MPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_FM_MIDDLE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_FM_RMS;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_PM_PPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_PM_MPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_PM_MIDDLE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_VALUE_PM_RMS;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_AM_PPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_AM_MPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_AM_MIDDLE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_AM_RMS;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_FM_PPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_FM_MPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_FM_MIDDLE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_FM_RMS;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_PM_PPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_PM_MPEAK;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_PM_MIDDLE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMOD_SUMMARY_RESULT_REL_VALUE_PM_RMS;
extern RsAttrProperties g_RSEMI_ATTR_AM_DETECTOR_MEAS_TO_REF_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_PM_DETECTOR_MEAS_TO_REF_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_FM_DETECTOR_MEAS_TO_REF_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_AM_DETECTOR_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_AM_DETECTOR_MODE;
extern RsAttrProperties g_RSEMI_ATTR_AM_DETECTOR_REF_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_PM_DETECTOR_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_PM_DETECTOR_MODE;
extern RsAttrProperties g_RSEMI_ATTR_PM_DETECTOR_REF_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_FM_DETECTOR_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_FM_DETECTOR_MODE;
extern RsAttrProperties g_RSEMI_ATTR_FM_DETECTOR_REF_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_BB_INPUT_BALANCED;
extern RsAttrProperties g_RSEMI_ATTR_BB_INPUT_SIGNAL_PATH;
extern RsAttrProperties g_RSEMI_ATTR_BB_FULLSCALE_MODE;
extern RsAttrProperties g_RSEMI_ATTR_BB_FULLSCALE_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_REALTIME_MODE;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_IQ_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_CENTER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_SPAN_FULL;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_FREQUENCY_CENTER_LINK;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_FREQUENCY_CENTER_LINK_FACTOR;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_SWEEP_TIME_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_SWEEP_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_RESOLUTION_BANDWIDTH_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_RESOLUTION_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_RESOLUTION_BANDWIDTH_RATIO_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_RESOLUTION_BANDWIDTH_RATIO_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_RESOLUTION_BANDWIDTH_RATIO_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_COLOR;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_SHAPE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_COLOR_STYLE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_COLOR_LOW;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_COLOR_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_COLOR_DEFAULT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_HDEP;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TIME_STAMP_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_FRAME_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_FRAME_SELECT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_FRAME_SELECT_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_FRAME_SELECT_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_FRAME_SELECT_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_CONTINUOUS;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_CLEAR;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_FFT_WINDOW;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_REFERENCE_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_REFERENCE_LEVEL_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_FILE_ITEMS_SAVE_RECAL_SPEM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_NOISE_CORRECTION;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DISPLAY_VERTICAL_GRID_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DISPLAY_LOG_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DISPLAY_ZOOM_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_LAYOUT_WINDOW_REMOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_LAYOUT_WINDOW_LIST;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_LAYOUT_QUERY_WINDOW_NAME;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TRACE_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TRACE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TRACE_RESET_BEHAVIOR;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_FILE_DEC_SEPARATOR;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_TO_REFERENCE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_STEP_SIZE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARK_FRAME_NUMBER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_LOCAL_OSCILLATOR_SUPPRESSION;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_PEAK_EXCURSION;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_THRESHOLD_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_THRESHOLD;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_TABLE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_XY;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_AREA;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_XY_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_XY_MAXIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_MINIMUM_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_MINIMUM_NEXT_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_MINIMUM_NEXT_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_MAXIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_MAXIMUM_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_MAXIMUM_NEXT_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_MAXIMUM_NEXT_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_Y_TRIGGER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_LIMITS_ZOOM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_PEAK_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MARKER_SEARCH_MIN_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DMARKER_FRAME_NUMBER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DMARKER_REFERENCE_MARKER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_FRAME_NUMBER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_REFERENCE_MARKER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_XY;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_AREA;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_XY_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_XY_MAXIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_MINIMUM_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_MINIMUM_NEXT_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_MINIMUM_NEXT_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_MAXIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_MAXIMUM_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_MAXIMUM_NEXT_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_MAXIMUM_NEXT_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_DELTA_MARKER_SEARCH_Y_TRIGGER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TRIGGER_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TRIGGER_DELAY;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TRIGGER_SLOPE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_POST_TRIGGER_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_PRE_TRIGGER_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_CONTINUOUS_TRIGGER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TIME_DOMAIN_TRIGGER;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_TIME_DOMAIN_TRIGGER_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_TRIGGER_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_TRIGGER_NAME;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_TRIGGER_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_TRIGGER_DIRECTORY;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_TRIGGER_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_TRIGGER_DELETE_SELECTED;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_TRIGGER_CONDITION;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_TRIGGER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_SHIFT_LOW_X;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_SHIFT_LOW_Y;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_UPP_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_SHIFT_UPP_X;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_SHIFT_UPP_Y;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_LOWER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_UPPER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_MASK_SPAN;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_GRANULARITY;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_SHAPE;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_TRUN;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_MAXH_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_MAXH_RESET;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_COLOR_STYLE;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_COLOR_DEFAULT;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_COLOR_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_COLOR_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_STATE;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_DURATION;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_TRACE_STYLE;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_MAXH_INTENS;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_MARKER_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_PSPEM_MARKER_Z_AXIS;
extern RsAttrProperties g_RSEMI_ATTR_PSPEM_DELTA_MARKER_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_PSPEM_DELTA_Z_AXIS;
extern RsAttrProperties g_RSEMI_ATTR_RESULT_DISPLAY;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_STORE_TO_FILE;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_INIT;
extern RsAttrProperties g_RSEMI_ATTR_SPEM_CONTINUE_MEASUREMENT;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_MEASUREMENT_SEQUENCES;
extern RsAttrProperties g_RSEMI_ATTR_INPUT_IMPEDANCE;
extern RsAttrProperties g_RSEMI_ATTR_SWEEP_MODE_CONTINUOUS;
extern RsAttrProperties g_RSEMI_ATTR_NUMBER_OF_SWEEPS;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_STARTED_SWEEP_NUMBER;
extern RsAttrProperties g_RSEMI_ATTR_START_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_STOP_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_CENTER_STEP;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_CENTER_STEP_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_CENTER_STEPSIZE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_CENTER_STEPSIZE_FACTOR;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_CENTER_STEPSIZE_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_MODE;
extern RsAttrProperties g_RSEMI_ATTR_SCAN_TIME;
extern RsAttrProperties g_RSEMI_ATTR_TIME_DOMAIN_MODE;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_SIGNAL_TRACK_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_SIGNAL_TRACK_BWID;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_SIGNAL_TRACK_BWID_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_SIGNAL_TRACK_BWID_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_SIGNAL_TRACK_BWID_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_SIGNAL_TRACK_THRESHOLD;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_SIGNAL_TRACK_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_POWER_UNIT;
extern RsAttrProperties g_RSEMI_ATTR_AMP_MINIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_AMP_SCALING_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_AMPLITUDE_MINIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_AMPLITUDE_SCALING_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_RF_INPUT;
extern RsAttrProperties g_RSEMI_ATTR_RF_INPUT_COUPLING;
extern RsAttrProperties g_RSEMI_ATTR_IF_ANALYSIS_SPAN_COUPLED;
extern RsAttrProperties g_RSEMI_ATTR_IF_ANALYSIS_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_RESOLUTION_BANDWIDTH_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_RESOLUTION_BANDWIDTH_FILTER_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_STEP_MODE;
extern RsAttrProperties g_RSEMI_ATTR_FREQ_SCAN_AXIS_SCALE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_AXIS_SCALE;
extern RsAttrProperties g_RSEMI_ATTR_SCAN_POINTS;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RANGE_START;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RANGE_STOP;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_STEP_SIZE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RANGE_COUNT;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_MEASUREMENT_TIME;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_MEASUREMENT_TIME_MIN_MAX;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_MEASUREMENT_TIME_GET_MIN;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_MEASUREMENT_TIME_GET_MAX;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_BANDWIDTH;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RF_ATTENUATION;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_AUTO_RANGING_STATE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_AUTO_PREAMPLIFIER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_IF_ATTENUATION;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_IF_AUTO_RANGING_STATE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RANGE_PREAMPLIFIER;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RANGE_PREAMPLIFIER_GAIN;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RANGE_LNA_PREAMPLIFIER;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RANGE_LNA_PREAMPLIFIER_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_SCAN_RANGE_SIGNAL_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_SCAN_TRANSMISSION_MODE;
extern RsAttrProperties g_RSEMI_ATTR_RF_ATTENUATION_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_RF_ATTENUATION_PROTECTION;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_RANGE;
extern RsAttrProperties g_RSEMI_ATTR_AUTO_PREAMPLIFIER;
extern RsAttrProperties g_RSEMI_ATTR_PREAMPLIFIER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_PRESCANNING_LISN_V_NETWORK_HIGH_PASS_FILTER;
extern RsAttrProperties g_RSEMI_ATTR_PRESCANNING_LISN_V_NETWORK_PHASE;
extern RsAttrProperties g_RSEMI_ATTR_PRESCANNING_LISN_V_NETWORK_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_FREQUENCY_COUPLING;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_TO_CENTER;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_TO_STEP;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_ZOOM;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_INFO_FIELD_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_COUPLING_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_USE_LAST_SCAN_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_AOFF;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_AMPLITUDE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_LIMITS_STATE;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_LIMITS_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_LIMITS_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_PEAK_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_PEAK_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_PEAK_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_MIN;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_MIN_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_MIN_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_SEARCH_MIN_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_AOFF;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_LINK;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_REL_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_AMPLITUDE;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_AOFF;
extern RsAttrProperties g_RSEMI_ATTR_MARKER_LINK;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_REL_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_AMPLITUDE;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_PEAK_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_PEAK_NEXT_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_PEAK_NEXT_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_MIN;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_MIN_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_MIN_NEXT_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_DMARKER_MIN_NEXT_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_PEAK_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_PEAK_NEXT_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_PEAK_NEXT_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_MIN;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_MIN_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_MIN_NEXT_RIGHT;
extern RsAttrProperties g_RSEMI_ATTR_DELTA_MARKER_MIN_NEXT_LEFT;
extern RsAttrProperties g_RSEMI_ATTR_BARGRAPH_MAXHOLD_STATE;
extern RsAttrProperties g_RSEMI_ATTR_BARGRAPH_MAXHOLD_RESET;
extern RsAttrProperties g_RSEMI_ATTR_BARGRAPH_LEVEL_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_BARGRAPH_LEVEL_MAXIMUM;
extern RsAttrProperties g_RSEMI_ATTR_BARGRAPH_MEASUREMENT_TIME;
extern RsAttrProperties g_RSEMI_ATTR_BARGRAPH_COUPLING;
extern RsAttrProperties g_RSEMI_ATTR_BARGRAPH_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_TIME_LINE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TIME_LINE_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_LINE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_DISPLAY_LINE_POSITION;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_LINE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_FREQUENCY_LINE;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_NAME;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_CONTROL_DOMAIN;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_ASSIGN_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_COPY;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_UNIT;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SCALING_X;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SCALING_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SCALING_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_MARGIN_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_MARGIN_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_OFFSET_X;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_OFFSET_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_OFFSET_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SHIFT_X;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SHIFT_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SHIFT_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SPACING_X;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SPACING_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SPACING_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_VISIBILITY_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_VISIBILITY_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_THRESHOLD_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_THRESHOLD_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SCALING;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_MARGIN;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SHIFT;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_SPACING;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_VISIBILITY;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_THRESHOLD;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_CHECK_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_CLEAR_LIMIT_LINE_CHECK_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_LIMIT_LINE_CHECK_RESULT;
extern RsAttrProperties g_RSEMI_ATTR_LIMIT_LINE_TRACE_CHECK_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_BARGRAPH_TRACE_MODE;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_LAYOUT_WINDOW_REMOVE;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_LAYOUT_WINDOW_LIST;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_LAYOUT_QUERY_WINDOW_NAME;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMODULATION_STATE;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMODULATION_SQUELCH_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_ANALOG_DEMODULATION_SQUELCH_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_CLEAR;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_SELECT_FRAME;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_FRAMES_IN_MEMORY;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_LAYOUT;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_TIME_STAMP;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_CLEAR;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_SELECT_FRAME;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_FRAMES_IN_MEMORY;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_TIME_STAMP;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_COLOR_DEFAULT;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_COLOR;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_COLOR_STYLE;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_COLOR_SHAPE;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_COLOR_LOWER;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_COLOR_UPPER;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_COLOR;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_FRAME;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_FRAME_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_SEARCH_AREA;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_MAXIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_MINIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_Y_NEXT_PEAK_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_Y_NEXT_PEAK_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_Y_NEXT_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_Y_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_Y_NEXT_MINIMUM_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_Y_NEXT_MINIMUM_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_Y_NEXT_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_MARKER_Y_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_FRAME;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_FRAME_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_SEARCH_AREA;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_MAXIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_MINIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_Y_NEXT_PEAK_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_Y_NEXT_PEAK_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_Y_NEXT_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_Y_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_Y_NEXT_MINIMUM_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_Y_NEXT_MINIMUM_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_Y_NEXT_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_MARKER_Y_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_FRAME;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_FRAME_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_SEARCH_AREA;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_MAXIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_MINIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_Y_NEXT_PEAK_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_Y_NEXT_PEAK_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_Y_NEXT_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_Y_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_Y_NEXT_MINIMUM_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_Y_NEXT_MINIMUM_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_Y_NEXT_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SGRAM_DELTA_MARKER_Y_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_FRAME;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_FRAME_TIME;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_SEARCH_AREA;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_MAXIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_MINIMUM_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_Y_NEXT_PEAK_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_Y_NEXT_PEAK_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_Y_NEXT_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_Y_PEAK;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_Y_NEXT_MINIMUM_ABOVE;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_Y_NEXT_MINIMUM_BELOW;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_Y_NEXT_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_SPECTROGRAM_DELTA_MARKER_Y_MINIMUM;
extern RsAttrProperties g_RSEMI_ATTR_TRACE_DETECTOR_SELECTION;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_TRIGGER_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_TRIGGER_RFP_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_TRIGGER_IFP_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_TRIGGER_IFP_HOLDOFF;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_TRIGGER_IFP_HYSTERESIS;
extern RsAttrProperties g_RSEMI_ATTR_RECEIVER_TRIGGER_TIME_INTERVAL;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_SEARCH;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_SEARCH_EXCURSION;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_SEARCH_MARGIN;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_SEARCH_FREQUENCY_ADD;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_SEARCH_LIST_METHOD;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_SEARCH_LIST_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_SEARCH_NUMBER;
extern RsAttrProperties g_RSEMI_ATTR_CLEAR_PEAK_SEARCH_LIST;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_FILE_NAME;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_NUMBER_OF_PEAKS;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_PEAK_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_PEAK_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_PEAK_DETECTOR;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_PEAK_DELTA;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_PEAK_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_PEAK_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_PEAK_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_PEAK_LIST_DISPLAY;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_AUTO;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_AUTOMATIC;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_TIME;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_FILE_NAME;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_NUMBER_OF_PEAKS;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_PEAK_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_PEAK_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_PEAK_DETECTOR;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_PEAK_DELTA;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_PEAK_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_PEAK_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_FINAL_MEASUREMENT_DETECTOR;
extern RsAttrProperties g_RSEMI_ATTR_EMI_TEST_INITIATE;
extern RsAttrProperties g_RSEMI_ATTR_EMI_FINAL_MEASUREMENT_INITIATE;
extern RsAttrProperties g_RSEMI_ATTR_INITIATE;
extern RsAttrProperties g_RSEMI_ATTR_INITIATE_WITHOUT_OPC;
extern RsAttrProperties g_RSEMI_ATTR_HOLD;
extern RsAttrProperties g_RSEMI_ATTR_CONTINUE_MEASUREMENT;
extern RsAttrProperties g_RSEMI_ATTR_ABORT;
extern RsAttrProperties g_RSEMI_ATTR_EXT_GEN_INTERFACE_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_EXT_GEN_IEEE_ADDR;
extern RsAttrProperties g_RSEMI_ATTR_EXT_GEN_INTF_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_EXT_GEN_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_EXT_GEN_ROSC_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_MEASUREMENT_TYPE;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_CALIBRATION;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_RESTORE;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_NORMALIZATION;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_MODULATION_AM;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_MODULATION_IQ;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_MODULATION_FM;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_MODULATION_FM_DEVIATION;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_MODULATION_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_MODULATION_OUTPUT_LEVEL;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_MODULATION_LEVEL_OFFSET;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_POWER_MODE;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_POWER_START;
extern RsAttrProperties g_RSEMI_ATTR_TRACKING_GENERATOR_POWER_STOP;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_SEL_NAME;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_UNIT;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_SCALING;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_CATALOG;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_DISPLAY;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_ADJ_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_ACT_NAME;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_GEN_NAME;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_SEL_NAME;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_UNIT;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_SCALING;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_DISPLAY;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_ADJ_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TFAC_ACT_NAME;
extern RsAttrProperties g_RSEMI_ATTR_TSET_SELECT;
extern RsAttrProperties g_RSEMI_ATTR_TSET_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TSET_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_TSET_UNIT;
extern RsAttrProperties g_RSEMI_ATTR_TSET_BREAK;
extern RsAttrProperties g_RSEMI_ATTR_TSET_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_TSET_CATALOG;
extern RsAttrProperties g_RSEMI_ATTR_TSET_ACTIVE;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_NETWORK_ADDRESS;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_COMMENT;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_COMMAND;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_COMMAND_EXECUTE;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_NAME;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_INPUT;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_LOAD;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_OPC;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_SCPI;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_SELECT;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_STORE;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_DELAY;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_RANGE_COMMAND;
extern RsAttrProperties g_RSEMI_ATTR_RF_SWITCH_RANGE_COMMAND_EXECUTE;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_INPUT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TRAN_INPUT_ACT_NAME;
extern RsAttrProperties g_RSEMI_ATTR_TSET_INPUT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TSET_INPUT_ACTIVE;
extern RsAttrProperties g_RSEMI_ATTR_FILE_RECALL;
extern RsAttrProperties g_RSEMI_ATTR_FILE_STARTUP_RECALL;
extern RsAttrProperties g_RSEMI_ATTR_FILE_SAVE;
extern RsAttrProperties g_RSEMI_ATTR_FILE_SAVE_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_FILE_DATA_CLEAR;
extern RsAttrProperties g_RSEMI_ATTR_FILE_DATA_CLEAR_ALL;
extern RsAttrProperties g_RSEMI_ATTR_FILE_EDIT_COMM;
extern RsAttrProperties g_RSEMI_ATTR_FILE_DEC_SEPARATOR;
extern RsAttrProperties g_RSEMI_ATTR_FILE_MANAGER_EDIT_PATH;
extern RsAttrProperties g_RSEMI_ATTR_FILE_MANAGER_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_FILE_MANAGER_MAKE_DIR;
extern RsAttrProperties g_RSEMI_ATTR_FILE_MANAGER_EDIT_PATH_DEVICE;
extern RsAttrProperties g_RSEMI_ATTR_FILE_MANAGER_DELETE_DIR;
extern RsAttrProperties g_RSEMI_ATTR_FILE_MANAGER_DELETE_IMMEDIATE;
extern RsAttrProperties g_RSEMI_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_TRAN;
extern RsAttrProperties g_RSEMI_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_HWSETTINGS;
extern RsAttrProperties g_RSEMI_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_TRAC;
extern RsAttrProperties g_RSEMI_ATTR_FILE_ITEMS_SAVE_RECAL_SEL_LINE;
extern RsAttrProperties g_RSEMI_ATTR_FILE_ITEMS_SAVE_RECAL_ALL;
extern RsAttrProperties g_RSEMI_ATTR_FILE_ITEMS_SAVE_RECAL_NONE;
extern RsAttrProperties g_RSEMI_ATTR_FILE_ITEMS_SAVE_RECAL_DEFAULT;
extern RsAttrProperties g_RSEMI_ATTR_DATA_SET_STORE_MODE;
extern RsAttrProperties g_RSEMI_ATTR_NETWORK_DISCONNECT_DRIVE;
extern RsAttrProperties g_RSEMI_ATTR_UNUSED_NETWORK_DRIVES;
extern RsAttrProperties g_RSEMI_ATTR_USED_NETWORK_DRIVES;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_ABORT;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_DEVICE_LANG_OUT_FORM;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_OUTPUT;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINT_SCREEN;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINT_TABLE;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINT_TAB;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_COMM_SCREEN;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_COMM_SCR;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINT_TRACE_STATE;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINT_TRACE;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_FILE_NAME;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINTER_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINTER_FIRST;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINT;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINT_NEXT;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_DEVICE_DESTINATION;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_DEVICE_ORIENTATION;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_PRINTER;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_TIME_DATE;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_COLOR_DEF;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_COLOR;
extern RsAttrProperties g_RSEMI_ATTR_HCOPY_COLOR_PREDEFINED;
extern RsAttrProperties g_RSEMI_ATTR_INPUT_UPORT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_INP_UPORT_STATE;
extern RsAttrProperties g_RSEMI_ATTR_INPUT_UPORT_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_INP_UPORT_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_OUT_UPORT_VALUE;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_INP_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_INPUT_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_INPUT_PULSED_STATE;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_CAL_FREQ_RF_SPECTRUM;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_CAL_FREQ_MW_DIST;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_CAL_FREQ_MW;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_CAL_AUTO_POWER_REDUCTION;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_CAL_KIT_ADDITIONAL_DIRECTORY;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_INPUT_COMB_FREQUENCY;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_NOISE_SOURCE;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_PULSE_CAL_FREQ;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_CAL_FREQ_MICROWAVE;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_HW_INFO;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_VERSION_INFO;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_NEW;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_DATASET_ADD;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_DATASET_REMOVE;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_DATASET_REMOVE_ALL;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_DEFAULT;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_TITLE;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_TITLE_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_DESCRIPTION;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_PAGE_SIZE;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_SHOW_PAGE_COUNT_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_PRINTER_FRIENDLY_COLOURS_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_TIME_STAMP_ENABLED;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_HEADER_STATE;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_HEADER_CONTROL;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_HEADER_TEXT;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_HEADER_TITLE;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_LOGO;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_LOGO_CONTROL;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_TEMPLATE_LOAD;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_TEMPLATE_SAVE;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_TEMPLATE_DELETE;
extern RsAttrProperties g_RSEMI_ATTR_TEST_REPORT_TEMPLATE_CATALOG;
extern RsAttrProperties g_RSEMI_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSEMI_ATTR_SYSTEM_VERSION;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_STEST;
extern RsAttrProperties g_RSEMI_ATTR_SERVICE_STEST_RESULTS;
extern RsAttrProperties g_RSEMI_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSEMI_ATTR_SYST_ERR_LIST;
extern RsAttrProperties g_RSEMI_ATTR_SYST_ERR_CLEAR;
extern RsAttrProperties g_RSEMI_ATTR_SYST_ERR_CLEAR_REMOTE;
extern RsAttrProperties g_RSEMI_ATTR_SYST_DISPLAY_REMOTE_ERRORS;
extern RsAttrProperties g_RSEMI_ATTR_SYSTEM_PRESET;
extern RsAttrProperties g_RSEMI_ATTR_SYSTEM_PRESET_MODE;
extern RsAttrProperties g_RSEMI_ATTR_PRESET_STATUS_REGISTERS;
extern RsAttrProperties g_RSEMI_ATTR_CALIBRATION_AUTO_AVERAGING;
extern RsAttrProperties g_RSEMI_ATTR_QUESTIONABLE_REGISTER;
extern RsAttrProperties g_RSEMI_ATTR_OPERATION_REGISTER;
extern RsAttrProperties g_RSEMI_ATTR_QUERY_OPC;
extern RsAttrProperties g_RSEMI_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsemi_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsemi_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSEMI_ATTRIBUTES_HEADER */
